

comp3 = load('Primal_noise0_comp3');

comp2 = load('Primal_noise0_comp2');

comp1 = load('Primal_noise0_comp1');

compDual = load('Dual_noise0');

diff32 = [0];
diff31 = [0];
diff21 = [0];
diff3dual = [0];
for i = 2:length(tgrid)
    diff32 = [diff32, diff32(i-1)+ comp3.ofPlantArray(i) - comp2.ofPlantArray(i)];
    diff31 = [diff31, diff31(i-1)+ comp3.ofPlantArray(i) - comp1.ofPlantArray(i)];
    diff21 = [diff21, diff21(i-1)+ comp2.ofPlantArray(i) - comp1.ofPlantArray(i)];
    diff3dual = [diff3dual, diff3dual(i-1)+ comp3.ofPlantArray(i) - compDual.ofPlantArray(i)];
end

%% plotting
fig = figure(10)
%plot(tgrid, comp3.ofPlantArray, 'r')
hold on;
%plot(tgrid, comp2.ofPlantArray, 'b--')
plot(tgrid, diff32, 'r')
plot(tgrid, diff31, 'b')
plot(tgrid, diff21, 'g')
legend('Compensator: 3 vs 2', 'Compensator: 3 vs 1', 'Compensator: 2 vs 1')

fig = figure(11)
plot(tgrid, diff3dual)